WEBHOOKS
Create or replace webhook endpoint
PUT
/v1/webhook-endpointSee the request and response contract below.
Backend integrationYour backend and SDK use a tenant API key.
Try itAvailable for creating, reading, and deleting verification sessions in Test. Other operations are reference-only; API-key protected routes require a tenant API key on your backend. Open a session request
Request bodyRequired
Request fields
urlstring · urirequiredsigning_secretstringoptional
View JSON schema
{
"type": "object",
"required": [
"url"
],
"properties": {
"url": {
"type": "string",
"format": "uri"
},
"signing_secret": {
"type": "string",
"minLength": 16,
"writeOnly": true
}
},
"additionalProperties": false
}Raw JSON schema
{
"type": "object",
"required": [
"url"
],
"properties": {
"url": {
"type": "string",
"format": "uri"
},
"signing_secret": {
"type": "string",
"minLength": 16,
"writeOnly": true
}
},
"additionalProperties": false
}Responses
Response 200
JSON response
application/json · Response schema
any
View JSON schema
{
"allOf": [
{
"$ref": "#/components/schemas/WebhookEndpoint"
},
{
"type": "object",
"required": [
"signing_secret"
],
"properties": {
"signing_secret": {
"type": "string",
"writeOnly": true
}
}
}
]
}Response 400
Error response
application/json · Response schema
errorstringrequiredmessagestringrequired
View JSON schema
{
"type": "object",
"required": [
"error",
"message"
],
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
}
}Response 401
Error response
application/json · Response schema
errorstringrequiredmessagestringrequired
View JSON schema
{
"type": "object",
"required": [
"error",
"message"
],
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
}
}Response 403
Error response
application/json · Response schema
errorstringrequiredmessagestringrequired
View JSON schema
{
"type": "object",
"required": [
"error",
"message"
],
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
}
}